package opc.ua.services.common;

public class BrowseResult {

	/** OPC UA Part 4, p.123 **/
	private StatusCode statusCode;
	
	/** continuation point of an operation **/
	private ContinuationPoint continuationPoint;
	
	private ReferenceDescription[] references;

	
	public StatusCode getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(StatusCode statusCode) {
		this.statusCode = statusCode;
	}

	public ContinuationPoint getContinuationPoint() {
		return continuationPoint;
	}

	public void setContinuationPoint(ContinuationPoint continuationPoint) {
		this.continuationPoint = continuationPoint;
	}

	public ReferenceDescription[] getReferences() {
		return references;
	}

	public void setReferences(ReferenceDescription[] references) {
		this.references = references;
	}
	
}
